package com.zcloud.primeport.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.primeport.domain.gateway.MkmjGateGateway;
import com.zcloud.primeport.domain.model.MkmjGateE;
import com.zcloud.primeport.dto.MkmjGateAddCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:17
 */
@Component
@AllArgsConstructor
public class MkmjGateAddExe {
    private final MkmjGateGateway mkmjGateGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(MkmjGateAddCmd cmd) {
        MkmjGateE examTypeE = new MkmjGateE();
        BeanUtils.copyProperties(cmd, examTypeE);
        boolean res = false;
        try {
            res = mkmjGateGateway.add(examTypeE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

